Package org.apache.lucene.analysis.miscellaneous

# Class WordDelimiterIterator

java.lang.Object
org.apache.lucene.analysis.miscellaneous.WordDelimiterIterator

public final class WordDelimiterIterator extends Object
A BreakIterator-like API for iterating over subwords in text, according to WordDelimiterGraphFilter rules.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ALPHA`
  `static final int`
  `ALPHANUM`
  `static final byte[]`
  `DEFAULT_WORD_DELIM_TABLE`
  `static final int`
  `DONE`
  Indicates the end of iteration

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static byte`
  `getType(int ch)`
  Computes the type of the given character
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ALPHA

    public static final int ALPHA
    See Also:
      - Constant Field Values

  - ### ALPHANUM

    public static final int ALPHANUM
    See Also:
      - Constant Field Values

  - ### DONE

    public static final int DONE
    Indicates the end of iteration
    See Also:
      - Constant Field Values

  - ### DEFAULT_WORD_DELIM_TABLE

    public static final byte[] DEFAULT_WORD_DELIM_TABLE

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getType

    public static byte getType(int ch)
    Computes the type of the given character
    Parameters:
      `ch` - Character whose type is to be determined
    Returns:
      Type of the character